> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Cancellation Reasons

> Get cancellation reasons with counts.

Returns grouped cancellation reasons from EventLog entries,
sorted by frequency (highest first).



## OpenAPI

````yaml get /analytics/dashboards/provider-performance/cancellation-reasons
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /analytics/dashboards/provider-performance/cancellation-reasons:
    get:
      tags:
        - provider
        - analytics
        - analytics
      summary: Get Cancellation Reasons
      description: |-
        Get cancellation reasons with counts.

        Returns grouped cancellation reasons from EventLog entries,
        sorted by frequency (highest first).
      operationId: >-
        get_cancellation_reasons_analytics_dashboards_provider_performance_cancellation_reasons_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: timezone
          in: query
          required: true
          schema:
            type: string
            description: Timezone for date filtering
            title: Timezone
          description: Timezone for date filtering
        - name: start_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Start Date
        - name: end_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: End Date
        - name: location_ids
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Location Ids
        - name: provider_ids
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Provider Ids
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CancellationReasonsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CancellationReasonsResponse:
      properties:
        reasons:
          items:
            $ref: '#/components/schemas/CancellationReasonItem'
          type: array
          title: Reasons
        totalCancellations:
          type: integer
          title: Totalcancellations
      type: object
      required:
        - reasons
        - totalCancellations
      title: CancellationReasonsResponse
      description: Response for cancellation reasons endpoint.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CancellationReasonItem:
      properties:
        reason:
          type: string
          title: Reason
        count:
          type: integer
          title: Count
        percentage:
          type: number
          title: Percentage
      type: object
      required:
        - reason
        - count
        - percentage
      title: CancellationReasonItem
      description: A single cancellation reason with count.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````